Skip to main content
GET
/
addresses
List addresses
curl --request GET \
  --url https://api.leanpay.fr/v1/public/addresses \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "company": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "line3": "<string>",
      "city": "<string>",
      "postalCode": "<string>",
      "country": "<string>",
      "externalId": "<string>",
      "main": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123,
  "total": 123,
  "page": 123,
  "pageCount": 123
}

Authorizations

Authorization
string
header
required

Query Parameters

page
integer

The page number to retrieve starting at 1

Response

200 - application/json

List of addresses

data
object[]
count
integer
total
integer
page
integer
pageCount
integer